package dev.pfaff.altargui.util;

import dev.pfaff.altargui.ManagedLayoutContext;
import dev.pfaff.altargui.Widget;
import dev.pfaff.altargui.widgets.MultiChildWidget;
import org.jspecify.annotations.Nullable;

import java.util.List;
import java.util.Objects;
import java.util.function.Consumer;

import static dev.pfaff.altargui.Key.intKey;

public record MultiChildBuilder12(Widget first, @Nullable Widget second) implements MultiChildWidget.Builder {
	public MultiChildBuilder12 {
		Objects.requireNonNull(first);
	}

	public MultiChildBuilder12(Widget first) {
		this(first, null);
	}

	@Override
	public void build(ManagedLayoutContext mounter) {
		mounter.layout(() -> {}, first);
		if (second != null) mounter.layout(() -> {}, second);
	}
}
