package dev.pfaff.altargui.util.listenable;

public interface Signal {
	/**
	 * Adds a listener. The listener <em>may</em> not be added again if already added. When added, it is guaranteed to
	 * be invoked immediately.
	 */
	ListenerDisposer listen(Runnable listener);
}
